﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Acies.Announcements;

namespace Acies.Creatures
{
    public class StandardDeathStrategy : IDeathStrategy 
    {
        public void Die(Creature creature)
        {
            Announcer.Instance.Announce(creature.Name + " has died.", MessageTypes.CreatureDeath);
            creature.Die();
        }
    }
}
