﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Acies.Weapons;
using Acies.Creatures;
using Acies.Creatures.Temporary_Effects;


namespace Acies.Weapons.Attack_Strategies
{
    public class ApplyTemporaryEffectToTarget : IAttackStrategy 
    {
        private ITemporaryEffect _effect;

        public ApplyTemporaryEffectToTarget(ITemporaryEffect effect)
        {
            _effect = effect;
        }

        public void Attack(IWeapon weapon, ICreature attacker, ICreature target, World world)
        {
            ITemporaryEffect e = _effect.Clone();
            target.AddTemporaryEffect(_effect);
        }
    }
}
